import BasicPage from "../../../components/basic-page-template";
import WCard from "../../../components/werefox-card";
import IDCard from "../../../components/identity-card";

export default function Sexuality() {
  return (
    <BasicPage
      page_title="What's My Sexuality?"
      card_title="Sexuality Details!"
    >
      <WCard>
        <IDCard
          title="Polyamory"
          info={{
            info: `This means that I am okay with having multiple partners!`,
            more: `There's a lot I can say about Polyamory, but I feel like if you really want to learn more about it, you might be better off following the link below.`,
          }}
          url="https://lgbta.wikia.org/wiki/Polyamorous"
          src="/emoji/polyamory_flag.svg"
          alt="The polyamory flag"
        />
        <IDCard
          title="Pansexual"
          info={{
            info: `This means that I am okay with sexual and romantic partners of any gender identity!`,
            more: `Of course, being Pansexual does not mean I cannot have preferences or that I want to date *"anyone"*, just that I am open to it.`,
          }}
          url="https://lgbta.wikia.org/wiki/Pansexual"
          src="/emoji/pansexual_flag.svg"
          alt="The pansexual flag"
        />
        <IDCard
          title="Lesbian"
          info={{
            info: `This means that I am okay with sexual and romantic partners that are the same gender identity as me!`,
            more: `If you have questions about how I could be both Pansexual and Lesiban, I'd refer you to my FAQ.`,
          }}
          url="https://lgbta.wikia.org/wiki/Lesbian"
          src="/emoji/lesbian_flag.svg"
          alt="The lesbian flag"
        />
      </WCard>
    </BasicPage>
  );
}
