import BasicPage from "../../components/basic-page-template";
import WCard from "../../components/werefox-card";
import TCard from "../../components/testimonial-card";

export default function FAQ() {
  return (
    <BasicPage page_title="FAQ" card_title="Frequently Asked Questions!">
      <WCard>
        <p className="p-6 text-lg text-center text-werefox-pink-dark dark:text-werefox-pink">
          "So is Werefox like a species or...?"
        </p>
      </WCard>
      <TCard
        key=""
        src="/images/alexis_heart.png"
        alt="Alexis"
        url="https://vulpine.club/@shadow8t4"
        user="Shadow8t4"
        innerText="That's a good question! No, my fursona's full name is Alexis Werefox, so Werefox is just a last name. I am just a fox!"
      />
      <WCard>
        <p className="p-6 text-lg text-center text-werefox-pink-dark dark:text-werefox-pink">
          "How can you be Pansexual and a Lesbian?"
        </p>
      </WCard>
      <TCard
        key=""
        src="/images/alexis_wink.png"
        alt="Alexis"
        url="https://vulpine.club/@shadow8t4"
        user="Shadow8t4"
        innerText={`I believe I've been told the proper term is "sapphic", it just means I *am* Pansexual, but I prefer those who identify more femme.`}
      />
      <WCard>
        <p className="p-6 text-lg text-center text-werefox-pink-dark dark:text-werefox-pink">
          "How do I get more Xenia stickers?"
        </p>
      </WCard>
      <TCard
        key=""
        src="/images/alexis_annoyed.png"
        alt="Alexis"
        url="https://vulpine.club/@shadow8t4"
        user="Shadow8t4"
        innerText={`Yeah, about that. So, I've made a few posts aobut this, but when I first started giving those out, I was in a good financial position, among other things. Now I'm not! I will get to it when I do.`}
      />
      <WCard>
        <p className="p-6 text-lg text-center text-werefox-pink-dark dark:text-werefox-pink">
          "What do you do?"
        </p>
      </WCard>
      <TCard
        key=""
        src="/images/alexis_shrug.png"
        alt="Alexis"
        url="https://vulpine.club/@shadow8t4"
        user="Shadow8t4"
        innerText="Something! I mainly focus on maintaining the services I run at the moment, Beat Saber streaming, myself and my transition. I could use some financial support, if you're feeling up to it and can afford it!"
      />
    </BasicPage>
  );
}
